%define libver		1.0
%define major		0
%define girmajor	1.0

%define libname		%mklibname %{name} %{libver} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{girmajor}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		json-glib
Version:	1.2.8
Release:	%mkrel 1
Summary:	Library for JavaScript Object Notation format
Group:		System/Libraries
License:	LGPLv2+
URL:		https://wiki.gnome.org/JsonGlib
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gobject-2.0) >= 2.37.6
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc
Requires:	%{libname} = %{version}

%description
%{name} is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}

%description -n %{libname}
%{name} is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	lib%{name}-devel = %version-%release
Provides:	%{name}-devel = %version-%release
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %name
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{mklibname %{name}1.0-gir 1.0} < 0.13.4-3

%description -n %{girname}
GObject Introspection interface description for %name.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x	--disable-static
%make 

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}-%{libver}

%check
%make check

%files -f %{name}-%{libver}.lang
%{_bindir}/json-glib-format
%{_bindir}/json-glib-validate
%{_mandir}/man1/json-glib-format.1*
%{_mandir}/man1/json-glib-validate.1*

%files -n %{libname}
%{_libdir}/lib%{name}-%{libver}.so.%{major}
%{_libdir}/lib%{name}-%{libver}.so.%{major}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/Json-%{girmajor}.typelib

%files -n %{develname}
%doc NEWS ChangeLog
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/lib%{name}-%{libver}.so
%{_libdir}/pkgconfig/%{name}-%{libver}.pc
%{_includedir}/%{name}-%{libver}/
%{_datadir}/gir-1.0/Json-%{girmajor}.gir


%changelog
* Sat Mar 18 2017 ovitters <ovitters> 1.2.8-1.mga6
+ Revision: 1093464
- new version 1.2.8

* Mon Mar 13 2017 ovitters <ovitters> 1.2.6-1.mga6
+ Revision: 1092355
- new version 1.2.6
- new version 1.2.4

  + ngompa <ngompa>
    - Tweak file lists to be compatible for mga5

* Sat Jul 30 2016 ovitters <ovitters> 1.2.2-1.mga6
+ Revision: 1043992
- new version 1.2.2

* Tue Apr 26 2016 tv <tv> 1.2.0-2.mga6
+ Revision: 1006646
- provides json-glib-devel

* Tue Mar 22 2016 ovitters <ovitters> 1.2.0-1.mga6
+ Revision: 994095
- new version 1.2.0

* Tue Mar 01 2016 ovitters <ovitters> 1.1.2-1.mga6
+ Revision: 981734
- new version 1.1.2
- dropped merged patch 1

* Sat Feb 20 2016 umeabot <umeabot> 1.0.4-5.mga6
+ Revision: 972477
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 pterjan <pterjan> 1.0.4-4.mga6
+ Revision: 899058
- Add upstream patch fixing bug with new glib

* Tue Jun 30 2015 wally <wally> 1.0.4-3.mga6
+ Revision: 848444
- actually require gir pkg in devel one

* Mon Jun 29 2015 wally <wally> 1.0.4-2.mga6
+ Revision: 847521
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 ovitters <ovitters> 1.0.4-1.mga6
+ Revision: 836372
- new version 1.0.4

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 750969
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 1.0.2-3.mga5
+ Revision: 724911
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-2.mga5
+ Revision: 680872
- Mageia 5 Mass Rebuild

* Fri May 30 2014 ovitters <ovitters> 1.0.2-1.mga5
+ Revision: 628042
- new version 1.0.2

* Tue Mar 25 2014 ovitters <ovitters> 1.0.0-1.mga5
+ Revision: 608520
- new version 1.0.0

* Tue Mar 04 2014 fwang <fwang> 0.99.2-1.mga5
+ Revision: 599262
- update file list
- 0.99.2

* Sat Nov 09 2013 ovitters <ovitters> 0.16.2-3.mga4
+ Revision: 550179
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 0.16.2-2.mga4
+ Revision: 536042
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 ovitters <ovitters> 0.16.2-1.mga4
+ Revision: 483047
- new version 0.16.2

* Fri May 24 2013 dams <dams> 0.16.0-1.mga4
+ Revision: 426338
- new version 0.16.0

* Sat Jan 12 2013 umeabot <umeabot> 0.15.2-2.mga3
+ Revision: 355620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 30 2012 ovitters <ovitters> 0.15.2-1.mga3
+ Revision: 265641
- clean spec
- update file list
- new version 0.15.2

* Thu Oct 27 2011 wally <wally> 0.14.2-1.mga2
+ Revision: 158672
- new version 0.14.2

* Mon Sep 19 2011 fwang <fwang> 0.14.0-1.mga2
+ Revision: 145462
- update file list
- new version 0.14.0

* Sat Sep 10 2011 fwang <fwang> 0.13.90-1.mga2
+ Revision: 141981
- new version 0.13.90

* Thu Jul 07 2011 wally <wally> 0.13.4-3.mga2
+ Revision: 119838
- fix gir package name

* Tue Jul 05 2011 dmorgan <dmorgan> 0.13.4-2.mga2
+ Revision: 118858
- Make the lib package requires the gir one

* Mon Jul 04 2011 wally <wally> 0.13.4-1.mga2
+ Revision: 118146
- new version 0.13.4
- add a subpackage for gir .typelib
- disable static build for sure

* Sun Jan 23 2011 pterjan <pterjan> 0.12.2-1.mga1
+ Revision: 35445
- imported package json-glib


* Mon Jan 10 2011 Götz Waschk <waschk@mandriva.org> 0.12.2-1mdv2011.0
+ Revision: 630851
- new version

* Sat Sep 25 2010 Götz Waschk <waschk@mandriva.org> 0.12.0-1mdv2011.0
+ Revision: 580982
- update to new version 0.12.0

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 0.11.2-2mdv2011.0
+ Revision: 577921
- rebuild for new g-i

* Mon Aug 02 2010 Götz Waschk <waschk@mandriva.org> 0.11.2-1mdv2011.0
+ Revision: 565071
- new version
- drop patch

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.10.4-2mdv2011.0
+ Revision: 563323
- rebuild for new gobject-introspection

* Fri Mar 19 2010 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdv2010.1
+ Revision: 525304
- update to new version 0.10.4

  + Anssi Hannula <anssi@mandriva.org>
    - fix hardcoded paths in pkgconfig file (reported by Juho Teperi)

* Fri Feb 26 2010 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdv2010.1
+ Revision: 511958
- new version

* Mon Jan 04 2010 Götz Waschk <waschk@mandriva.org> 0.10.0-2mdv2010.1
+ Revision: 486165
- enable introspection
- fix devel provides
- readd libtool archive

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.10.0-1mdv2010.1
+ Revision: 483944
- update to new version 0.10.0

* Thu Dec 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.2-1mdv2010.1
+ Revision: 476181
- Update to new version 0.9.2
- Update to new version 0.8.2

* Mon Sep 28 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.0-1mdv2010.0
+ Revision: 450642
- Update to new version 0.8.0

* Wed Sep 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.6-1mdv2010.0
+ Revision: 435924
- Update to new version 0.7.6

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.4-1mdv2010.0
+ Revision: 415768
- Update to new version 0.7.4
- Run test suite

* Fri Jul 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.2-1mdv2010.0
+ Revision: 394336
- BuildRequires: gtk-doc
- Disable gobject-introspection again: probably needs some more work
  to correctly package this
- BuildRequires: gobject-introspection
- commit first SPEC file, based on Fedora's
- Don't run test suite, it sometimes hangs
- create json-glib

